# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.615   -> 1.616  
#	Documentation/DocBook/kernel-api.tmpl	1.12    -> 1.13   
#	Documentation/DocBook/Makefile	1.23    -> 1.24   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/05/31	greg@kroah.com	1.616
# [PATCH] USB kernel-api documentation fix
# 
# updated the kernel-api documentation USB files due to file reorg.
# --------------------------------------------
#
diff -Nru a/Documentation/DocBook/Makefile b/Documentation/DocBook/Makefile
--- a/Documentation/DocBook/Makefile	Fri May 31 16:47:01 2002
+++ b/Documentation/DocBook/Makefile	Fri May 31 16:47:01 2002
@@ -113,6 +113,9 @@
 		$(TOPDIR)/drivers/net/wan/syncppp.c \
 		$(TOPDIR)/drivers/net/wan/z85230.c \
 		$(TOPDIR)/drivers/usb/core/hcd.c \
+		$(TOPDIR)/drivers/usb/core/urb.c \
+		$(TOPDIR)/drivers/usb/core/message.c \
+		$(TOPDIR)/drivers/usb/core/config.c \
 		$(TOPDIR)/drivers/usb/core/usb.c \
 		$(TOPDIR)/drivers/video/fbmem.c \
 		$(TOPDIR)/drivers/video/fbcmap.c \
diff -Nru a/Documentation/DocBook/kernel-api.tmpl b/Documentation/DocBook/kernel-api.tmpl
--- a/Documentation/DocBook/kernel-api.tmpl	Fri May 31 16:47:01 2002
+++ b/Documentation/DocBook/kernel-api.tmpl	Fri May 31 16:47:01 2002
@@ -282,6 +282,9 @@
     </sect1>
 
     <sect1><title>USB Core APIs</title>
+!Edrivers/usb/core/urb.c
+!Edrivers/usb/core/config.c
+!Edrivers/usb/core/message.c
 !Edrivers/usb/core/usb.c
     </sect1>
 
